Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Aug 2022 10:15:16 -0400

> I'm neither ashamed nor proud, I'm not Kim Kardashian 😉  I just try to have
> fun, for the programmer-specific value of "fun".  Still, I cannot see how an
> editor could provide a complete editing experience in all buffers without
> limiting in one way or another what is done, and what can be done, after
> each editing command.

That's way too general a statement to be useful in deciding whether
un-overridable locked narrowing is appropriate, IMO.

        Stefan